%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_version: %global python_version %(%{__python} -c "from distutils.sysconfig import get_python_version; print get_python_version()")}

Name:           qpid-tools
Version:        0.18
Release:        10%{?dist}
Summary:        Management and diagnostic tools for Apache Qpid

Group:          Development/Python
License:        ASL 2.0
URL:            http://qpid.apache.org
Source0:        %{name}-%{version}.tar.gz
Patch0:         mrg.patch
Patch1:         mrg-2.3.3-tools.patch
# svn export -r<rev> http://svn.apache.org/repos/asf/qpid/trunk/qpid/tools qpid-tools-0.7.<rev>
# tar czf qpid-tools-0.7.<rev>.tar.gz qpid-tools-0.7.<rev>
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel

Requires:       python-qpid >= 0.18
Requires:       python-qpid-qmf >= 0.18

%description
Management and diagnostic tools for Apache Qpid brokers and clients.

%prep
%setup -q
%patch0 -p3
%patch1 -p3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# remove unneeded file
rm -rf %{buildroot}%{_bindir}/qpid-ha

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitelib}/qpidtoollibs
%{_bindir}/qpid-cluster
%{_bindir}/qpid-cluster-store
%{_bindir}/qpid-config
%{_bindir}/qpid-printevents
%{_bindir}/qpid-queue-stats
%{_bindir}/qpid-route
%{_bindir}/qpid-stat
%{_bindir}/qpid-tool
%{_bindir}/qmf-tool
%doc LICENSE.txt NOTICE.txt

%if "%{python_version}" >= "2.6"
%{python_sitelib}/qpid_tools-*.egg-info
%endif

%changelog
* Mon May  5 2014 Irina Boverman <iboverma@redhat.com> - 0.18-10
- Build on RHEL 7

* Tue Jun 4 2013 Mike Cressman <mcressman@redhat.com> - 0.18-10 
- Revert BZ 951296 to undo QMF schema change, default to unlimited credit instead

* Tue May 14 2013 Mike Cressman <mcressman@redhat.com> - 0.18-9
- Errata build
- BZs: 951296,955711

* Tue Feb  5 2013 Irina Boverman <iboverma@redhat.com> - 0.18-8
- Resolves: rhbz895535, rhbz903126

* Tue Nov 20 2012 Irina Boverman <iboverma@redhat.com> - 0.18-7
- Resolves: rhbz864933 (re-fixed)

* Mon Nov 12 2012 Irina Boverman <iboverma@redhat.com> - 0.18-6
- Resolves: rhbz864933
	
* Wed Nov  7 2012 Irina Boverman <iboverma@redhat.com> - 0.18-5
- Resolves: rhbz864933, rhbz864804

* Thu Nov  1 2012 Irina Boverman <iboverma@redhat.com> - 0.18-4
- Resolves: rhbz865470, 0.18-4

* Wed Oct 24 2012 Irina Boverman <iboverma@redhat.com> - 0.18-3
- Resolves: rhbz865470, 0.18-3 

* Sun Oct 14 2012 Irina Boverman <iboverma@redhat.com> - 0.18-2
- Resolves: rhbz861961, 0.18+ rebase, added qpidtoollibs, 0.18-1
- Fixed: Bug 805599, 0.18-2 

* Wed Aug  29 2012 Irina Boverman <iboverma@redhat.com> - 0.14-6
- Resolves: rhbz#840058
- Fixed: Bug 850111 - qpid-stat -c mech column data missing

* Fri Dec  9 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.14-1
- Resolves: BZ765860

* Tue Sep 27 2011 Ted Ross <tross@redhat.com> - 0.12-2
- Resolves: rhbz#688163

* Mon Aug  8 2011 Justin R. Ross <jross@redhat.com> - 0.12-1
- Rebase to Qpid 0.12
- Resolves: bz706992

* Mon Jun  6 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.10-5
- Resolves: bz711180

* Thu May 19 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.10-4
- Related: bz706119

* Tue Apr 13 2011 Ted Ross <tross@redhat.com> - 0.10-3
- Related: rhbz#670956
- Fixed: Bug 670956 - qpid-tool does not support map arguments

* Tue Apr  5 2011 Justin Ross <jross@redhat.com> - 0.10-2
- Further fixes from upstream 0.10.

* Tue Mar 22 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.10-1
- Related: bz679803.

* Wed Mar  9 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.9.1078967-1
- Related: bz679803.

* Wed Feb 23 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.9.1073306-1
- Resolves: bz679803.

* Fri Feb  4 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-5
- Resolves: bz619353, bz632678

* Wed Jun 30 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-4
- Resolves: rhbz609693

* Fri May 21 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-3
- Related: rhbz574881
- rhbz594537 - require same version of python-qmf

* Wed May 19 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-2
- Patch to qpid-tool
- Related: rhbz574881

* Wed May 19 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-1
- Rebased to svn rev 946106
- Related: rhbz574881

* Mon Apr 19 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.934605-2
- Added qpid-cluster-store.

* Mon Apr 19 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.934605-1
- Rebased to svn rev 934605.

* Thu Apr  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.930108-1
- Rebased to svn rev 930108.

* Wed Mar  3 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-4
- Changed defines to globals and moved to top.
- Fixed typo in description.
- Removed unnecessary python Requires/BuildRequires.

* Tue Mar  2 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-3
- Added correct version to python-qpid dependency.

* Mon Mar  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-2
- Conditionalize egg-info based on python version.

* Mon Mar  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-1
- Initial build.
